Create Compliance Document for Equipment
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/equipment/{equipment-id}/compliance_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compliance_document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compliant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/equipment/{equipment-id}/compliance_documents"
payload = {
"compliance_document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compliant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compliance_document_type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
compliant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
value: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/equipment/{equipment-id}/compliance_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compliant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compliance_document_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"has_expiration": true,
"dispatch_gating": true,
"required_vendors": true,
"required_internal_drivers": true,
"required_shared_drivers": true,
"required_equipment": true,
"external_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notification_sent_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}ComplianceDocuments
Create Compliance Document for Equipment
Create Compliance Document for Equipment
POST
/
v1
/
companies
/
{company-id}
/
equipment
/
{equipment-id}
/
compliance_documents
Create Compliance Document for Equipment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Equipment ID
Body
application/json
Response
Created
Show child attributes
Show child attributes
⌘I